<% if @posts.present? %>
<% @posts.flatten.each do |post| %>
<div class="postfeed post_<%= post['id'] %>" data-id="<%= post['id'] %>">
    <% if post['post_image_url'].present? %>
    <!-- <figure style="background: url(/assets/postimg.png) no-repeat; background-size: cover;"></figure> -->
    <figure style="background: url(<%= post['post_image_url'] %>) no-repeat; background-size: cover;"></figure>
    <% end %>
    <div class="post-content">
        <h4><a href="<%= post['share_link'].present? ? post['share_link'] : 'javascript:void(0)' %>" target="_blank"><%= post['title'] %></a></h4>
        <div class="row">
            <div class="col-xs-6">
                <p class="font-medium create_by">
                    <small>By</small> <a href="javascript:void(0)" class="blue-text"><%= post['user_name'] %></a>
                    <% if post['posted_by'].to_i == current_user.id %>
                        &nbsp;&nbsp; | &nbsp;&nbsp;
                        <div class="delete_post" data-id="<%= post['id'] %>"> <a href="javascript:void(0)" class="red-text">Delete Post</a></div>
                    <% end %>
                </p>
                <!-- <p class="font-medium create_by"><small>By</small> <a href="javascript:void(0)" class="blue-text">Dhara</a> </p>&nbsp;&nbsp; | &nbsp;&nbsp;<div class="delete_post"> <a href="" class="red-text">Delete Post</a></div><p></p> -->
            </div>
            <div class="col-xs-6">
                <p class="text-right"><small><%= post['created_at'].localtime.strftime('%b %d, %H:%M %p') %></small></p>
            </div>
        </div>
        <%  if (post['description'].present? && post['description'].length > 240) %>
        <p class="description collapsed collapsed_<%= post['id'] %>">
            <%= truncate(post['description'], length: 240) %>
            <a class="link view_more_link" href="javascript:void(0)" id='view_more' data-id="<%= post['id'] %>">Read more</a>
        </p>
        <p class="description detailed detailed_<%= post['id'] %>">
            <%= post['description'] %>
            <a class="link view_less_link" href="javascript:void(0)" id='view_more' data-id="<%= post['id'] %>">...Read less</a>
        </p>
        <% else %>
        <p class="description">
            <%= post['description'] %>
        </p>
        <% end %>
        <p class='likes-comments' id="info_<%= post['id'] %>" data-id="<%= post['id'] %>">
            <% if post['like_count'] > 0 || post ['comment_count'] > 0 %>
            <small class="blue-text"><%= post['like_count'] %> likes - <%= post['comment_count'] %> Comments</small>
            <% end %>
        </p>
        <div class="post-footer">
            <div class="row">
                <div class="col-xs-7" style="padding-right: 0;">
                    <a href="javascript:void(0)" class="like-post <%= post[:is_like] == true ? 'active' : '' %>" data-id="<%= post['id'] %>"><i class="like-icon <%= post[:is_like] == true ? 'active' : '' %>"></i><small>Like</small></a>
                    <b id="show-comment" class="show-comment" data-id="<%= post['id'] %>"><i class="comment-icon"></i><small>Comments</small></b>
                    <a href="javascript:void(0)" id="fav_post<%= post['id'] %>" data-id="<%= post['id'] %>" class='mark_favorite'><i class="fav-icon icon_<%= post['id'] %> <%= post[:is_favorite] == true ? 'active' : '' %>"></i><small>Bookmark</small></a>
                </div>
                <div class="col-xs-5 home_social_share" align="right">
                    <span class="hidden">
                        <%= social_share_button_tag(post['title'], url: post['share_link'], desc: post['title'], target: '_blank' ) %>
                    </span>
                    <div class="social">
                        <a href="javascript:void(0);" class="fb-icon social-icons" target="_blank"><i class="fa fa-facebook"></i></a>
                        <a href="javascript:void(0);" class="twt-icon social-icons" target="_blank"><i class="fa fa-twitter"></i></a>
                        <a href="javascript:void(0);" class="lnk-icon social-icons" target="_blank"><i class="fa fa-linkedin"></i></a>
                        <a href="javascript:void(0);" class="mail-icon social-icons" target="_blank"><i class="fa fa-envelope-o"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="comment-sec comments" id="post_comments_<%= post['id'] %>">
    </div>

</div>
<% end %>
<% else %>
<div class="postfeed">
    <div class="post-content no-posts">
        <% logger.info "======#{request.env['REQUEST_URI']}=====" %>
        <% if request.env['REQUEST_URI'].eql?('/bookmarked_articles') %>
        <h3>You have not bookmared any articles yet!</h3>
        <% else %>
        <h3>No posts yet!</h3>
        <% end %>
    </div>
</div>
<% end %>
<script>
$('.post-footer .btn-default').on('click', function(){
    $('.add-article label').css("display", "block");
    $('.post-box').css("display", "none");
    $('#user_post_title').val('')
    $('user_post_description').val('')
    $('#imgsrc').attr('src', "")
    $('.preview-card .title').empty()
    $('.preview-card .description').empty()
    $('.preview-card').css('display', 'none')
    // $('#user_post_title').empty()
})
$(document).ready(function(){
    // $('.delete_post').on('mouseover', function(){
    //     console.log($(this));
    //     $(this).show()
    // })
})
</script>
